# SourcePath: glibc-2.11.2/20160302
Summary: The GNU C Library.
Name: sony-target-dev-glibc
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-glibc
Version: 2.11.2
Release: 08020601
License: LGPL2.1 / Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://www.gnu.org/software/libc
Source0: glibc-%{version}.tar.bz2
Source1: glibc-ports-2.11.tar.bz2

## LOT script Files
Source10: sony-devel-libopt-build-libc
Source11: sony-devel-libopt-build-libcrypt
Source12: sony-devel-libopt-build-libdl
Source13: sony-devel-libopt-build-libm
Source14: sony-devel-libopt-build-libpthread
Source15: sony-devel-libopt-build-librt

# Patches 

# Linux From Scratch patches: http://trac.cross-lfs.org/browser/trunk/patches 
Patch001: glibc-%{version}-libgcc_eh-1.patch
Patch002: glibc-%{version}-localedef_segfault-1.patch

# arm patches
Patch200: glibc-2.11.2-Move-ARM-EABI-mcount-into-a-separate-S-file.patch
Patch201: glibc-2.11.2-Add-CFI-statements-to-ARMs-assembly-code.patch
Patch202: glibc-2.11.2-Fix-unwinding-through-Thumb-2-system-calls.patch
Patch203: glibc-2.11.2-arm-longjmp_chk-unwinding-support.patch
Patch204: glibc-ports-2.11-mcount_gprof_fix.patch
Patch205: glibc-ports-2.11-libc_do_syscall_gprof_fix.patch
Patch206: glibc-ports-2.11-create_arm_unwind_records.patch
Patch207: glibc-ports-2.11-mark-clone-as-cantunwind.patch

# General patches ( patches added to glibc-2.5 for CE-4.X & CE-3.X)
Patch300: glibc-2.7-getcwd-max-def.patch

## Sony SS Original
## Make fatal error warn when using the wrong kernel version
Patch301: glibc-%{version}-rtld-osinfo-nonfatal.patch

## hp-timing support
Patch302: glibc-%{version}-hp-timing-ctors.patch
Patch303: glibc-%{version}-nptl-cond_timedwait_rel.patch

## sprof
Patch304: glibc-%{version}-sprof.patch

# Sony SS Original
# Change default timeout from 2 sec to 200 sec for testing
Patch305: glibc-2.7-change-default-for-testing.patch

## getaddrinfo() memory leak fix patch
Patch306: glibc-2.11.2-fix_gai_memory_leak.patch

Patch401: glibc-2.11.2-pr6812.patch
Patch402: glibc-2.11.2-pr7066.patch
Patch403: glibc-2.11.2-pr10401.patch
Patch404: glibc-2.11.2-pr10939.patch
Patch405: glibc-2.11.2-pr10992.patch
Patch406: glibc-2.11.2-pr11056.patch
Patch407: glibc-2.11.2-pr11093.patch
Patch408: glibc-2.11.2-pr11134.patch
Patch409: glibc-2.11.2-pr11141.patch
Patch410: glibc-2.11.2-pr11185.patch
Patch411: glibc-2.11.2-pr11186.patch
Patch412: glibc-2.11.2-pr11187.patch
Patch413: glibc-2.11.2-pr11188.patch
Patch414: glibc-2.11.2-pr11189.patch
Patch415: glibc-2.11.2-pr11190.patch
Patch416: glibc-2.11.2-pr11191.patch
Patch417: glibc-2.11.2-pr11192.patch
Patch418: glibc-2.11.2-pr11193.patch
Patch419: glibc-2.11.2-pr11235.patch
Patch420: glibc-2.11.2-pr11276.patch
Patch421: glibc-2.11.2-pr11389.patch
Patch422: glibc-2.11.2-pr11394.patch
Patch423: glibc-2.11.2-pr11611.patch
Patch424: glibc-2.11.2-pr11655.patch
Patch425: glibc-2.11.2-pr11701.patch
Patch426: glibc-2.11.2-pr11724_dep.patch
Patch427: glibc-2.11.2-pr11724.patch
Patch428: glibc-2.11.2-pr11840.patch
Patch429: glibc-2.11.2-pr11883.patch
Patch430: glibc-2.11.2-pr11903_dep.patch
Patch431: glibc-2.11.2-pr11903.patch
Patch432: glibc-2.11.2-pr12005.patch
#Patch433: glibc-2.11.2-pr12037.patch (To fix build error)
Patch434: glibc-2.11.2-pr12078_one.patch
Patch435: glibc-2.11.2-pr12078_two.patch
Patch436: glibc-2.11.2-pr12078_three.patch
Patch437: glibc-2.11.2-pr12078_four.patch
Patch438: glibc-2.11.2-pr12092.patch
Patch439: glibc-2.11.2-pr12093.patch
Patch440: glibc-2.11.2-pr12107_dep.patch
Patch441: glibc-2.11.2-pr12107.patch
Patch442: glibc-2.11.2-pr12108.patch
Patch443: glibc-2.11.2-pr12140.patch
Patch444: glibc-2.11.2-pr12167.patch
Patch445: glibc-2.11.2-pr12201.patch
Patch446: glibc-2.11.2-pr12204.patch
Patch447: glibc-2.11.2-pr12348.patch
Patch448: glibc-2.11.2-pr12378.patch
Patch449: glibc-2.11.2-pr12394.patch
Patch450: glibc-2.11.2-pr12397.patch
Patch451: glibc-2.11.2-pr12454.patch

#Patch700: glibc-2.11.2-CVE-2011-0536.patch
Patch701: glibc-2.11.2-CVE-2011-1071.patch
Patch702: glibc-2.11.2-CVE-2011-1095.patch
Patch703: glibc-2.11.2-CVE-2010-3856.patch
Patch704: glibc-2.11.2-CVE-2011-1089.patch
Patch705: glibc-2.11.2-CVE-2011-4609.patch
Patch706: glibc-2.11.2-CVE-2009-5029-1.patch
Patch707: glibc-2.11.2-CVE-2009-5029-2.patch
Patch708: glibc-2.11.2-CVE-2009-5029-include-header-error-fix.patch
Patch709: glibc-2.11.2-CVE-2012-0864.patch
Patch710: glibc-2.11.2-CVE-2010-3847.patch
Patch711: glibc-2.11.2-CVE-2010-3847-regression-fix.patch
Patch712: glibc-2.11.2-CVE-2011-0536-fix.patch
Patch713: glibc-2.11.2-CVE-2012-3404.patch
Patch714: glibc-2.11.2-CVE-2012-3405.patch
Patch715: glibc-2.11.2-CVE-2012-3406.patch
Patch716: glibc-2.11.2-CVE-2013-1914.patch
Patch717: glibc-2.11.2-CVE-2013-0242.patch
Patch718: glibc-2.11.2-CVE-2012-4412-4424.patch
Patch719: glibc-2.11.2-CVE-2013-4332.patch
Patch721: glibc-2.11.2-CVE-2013-2207.patch
Patch722: glibc-2.11.2-CVE-2014-4043.patch
Patch723: glibc-2.11.2-CVE-2014-0475.patch
Patch724: glibc-2.11.2-CVE-2014-6040.patch
Patch725: glibc-2.11.2-CVE-2014-5119.patch
Patch726: glibc-2.11.2-CVE-2012-3480.patch
Patch727: glibc-redhat_bug797094_fix-1.patch
Patch728: glibc-redhat_bug797094_fix-2.patch
Patch729: glibc-2.11.2-CVE-2013-4458.patch
Patch730: glibc-2.11.2-export_libc_alloca_cutoff.patch
Patch731: glibc-2.11.2-CVE-2014-7817.patch
Patch732: glibc-2.11.2-CVE-2014-9402.patch
Patch733: glibc-2.11.2-CVE-2015-0235.patch
Patch734: glibc-2.11.2-CVE-2013-7423.patch
Patch735: glibc-2.11.2-CVE-2015-1781.patch
Patch736: glibc-2.11.2-CVE-2011-5320.patch
Patch737: glibc-2.11.2-CVE-2013-7424.patch
Patch738: glibc-2.11.2-CVE-2014-8121-1.patch
Patch739: glibc-2.11.2-CVE-2014-8121-2.patch
Patch740: glibc-2.11.2-CVE-2015-1472-1473.patch
Patch741: glibc-2.11.2-CVE-2014-9761-1.patch
Patch742: glibc-2.11.2-CVE-2014-9761-2.patch
Patch743: glibc-2.11.2-CVE-2015-8776.patch
Patch744: glibc-2.11.2-CVE-2015-8778-1.patch
Patch745: glibc-2.11.2-CVE-2015-8778-2.patch
Patch746: glibc-2.11.2-CVE-2015-8779.patch
Patch747: glibc-2.11.2-submitted-resolv-first-query-failure.patch
Patch748: glibc-2.11.2-gethostbyname4-memory-leak.patch
Patch749: glibc-2.11.2-CVE-2015-7547.patch
Patch750: glibc-2.11.2-make-gcc-version-new.patch
Patch751: glibc-2.11.2-manual-build-fix.patch
Patch752: glibc-2.11.2-CVE-2016-2856.patch
Patch753: glibc-2.11.2-CVE-2016-4429.patch
Patch754: glibc-2.11.2-CVE-2017-15804.patch
Patch755: glibc-2.11.2-CVE-2017-15670.patch
Patch756: glibc-2.11.2-CVE-2017-12133.patch
Patch757: glibc-2.11.2-CVE-2018-1000001.patch

BuildRoot: %{_tmppath}/%{name}-root
#Prefix: %{sony_cross_target_dir}
Prefix: %{sony_target_dir}

BuildRequires: %{sony_tool_triplet}-cross-libopt-for-dev

%description
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%package -n %{pkgname}
Summary: The GNU C Library.
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}
The standard libraries that are used by nearly all programs on the system.
This package includes shared versions of the standard C library and the
standard math library, as well as many others. Timezone data is also
included.

%prep
%setup -q -n glibc-%{version} -q -a 1

# Apply patches
%patch001 -p1
%patch002 -p1

%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1

%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1

%patch401 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch409 -p1
%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch413 -p1
%patch414 -p1
%patch415 -p1
%patch416 -p1
%patch417 -p1
%patch418 -p1
%patch419 -p1
%patch420 -p1
%patch421 -p1
%patch422 -p1
%patch423 -p1
%patch424 -p1
%patch425 -p1
%patch426 -p1
%patch427 -p1
%patch428 -p1
%patch429 -p1
%patch430 -p1
%patch431 -p1
%patch432 -p1
%patch434 -p1
%patch435 -p1
%patch436 -p1
%patch437 -p1
%patch438 -p1
%patch439 -p1
%patch440 -p1
%patch441 -p1
%patch442 -p1
%patch443 -p1
%patch444 -p1
%patch445 -p1
%patch446 -p1
%patch447 -p1
%patch448 -p1
%patch449 -p1
%patch450 -p1
%patch451 -p1

#%patch700 -p1
%patch701 -p1
%patch702 -p1
%patch703 -p1
%patch704 -p1
%patch705 -p1
%patch706 -p1
%patch707 -p1
%patch708 -p1
%patch709 -p1
%patch710 -p1
%patch711 -p1
%patch712 -p1
%patch713 -p1
%patch714 -p1
%patch715 -p1
%patch716 -p1
%patch717 -p1
%patch718 -p1
%patch719 -p1
%patch721 -p1
%patch722 -p1
%patch723 -p1
%patch724 -p1
%patch725 -p1
%patch726 -p1
%patch727 -p1
%patch728 -p1
%patch729 -p1
%patch730 -p1
%patch731 -p1
%patch732 -p1
%patch733 -p1
%patch734 -p1
%patch735 -p1
%patch736 -p1
%patch737 -p1
%patch738 -p1
%patch739 -p1
%patch740 -p1
%patch741 -p1
%patch742 -p1
%patch743 -p1
%patch744 -p1
%patch745 -p1
%patch746 -p1
%patch747 -p1
%patch748 -p1
%patch749 -p1
%patch750 -p1
%patch751 -p1
%patch752 -p1
%patch753 -p1
%patch754 -p1
%patch755 -p1
%patch756 -p1
%patch757 -p1

%build
%sony_target_dev_setup

%define _header_dir %{sony_target_dir}%{sony_target_dev_include_dir}

export CFLAGS="-O2 -g"

# autoconf cause "checking for grep that handles long lines and -e"
# failure, config.log msg: error: no acceptable grep could be found
#autoconf &&
%if "%{sony_target_cpu}" == "ppc"
   export libc_cv_ppc_machine=yes \
	  libc_cv_ppc_rel16=no \
%endif
# to build nptl
export libc_cv_forced_unwind=yes
export libc_cv_c_cleanup=yes
export libc_cv_gnu99_inline=yes

export BUILD_CC="gcc"
%sony_target_dev_configure \
	--disable-sanity-checks \
	--enable-add-ons=glibc-ports-2.11,nptl \
	--enable-kernel=3.0.4 \
	--enable-profile \
	--without-cvs \
%if "%{sony_target_fpu}" == "no"
	--without-fp \
%endif
	--with-tls \
	--with-__thread \
	--without-gd \
	--with-headers=%{_header_dir} &&
cat <<EOF > configparms &&
slibdir=%{sony_target_dev_dir}/lib
sysconfdir=%{sony_target_dev_dir}/etc
EOF
make OBJDUMP_FOR_HOST=%{sony_target_toolprefix}objdump all

%install
%sony_target_dev_setup

rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libc
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libcrypt
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libdl
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libm
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/libpthread
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/librt

cd %{sony_objdir} &&
make \
    install_root=%{buildroot}%{sony_target_dir} \
    OBJDUMP_FOR_HOST=%{sony_target_toolprefix}objdump \
    install

# NPTL <bits/stdio-lock.h> is not usable outside of glibc, so include
# the generic one (#162634)
cp -a ../bits/stdio-lock.h  %{buildroot}%{_header_dir}/bits/stdio-lock.h

# Fix ld scripts (remove '/lib/' and '/usr/lib/').
for f in /usr/lib/libc.so /usr/lib/libpthread.so
do
    sed -e 's,%{sony_target_dev_dir}/[^ 	]*/,,g' \
	-e '/BUG in libc.scripts.output-format.sed/d' \
        %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}$f > tmp.so
    mv -f tmp.so %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}$f
done

## Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
OBJECTDIR=`/bin/pwd`

## Install Library Optimizer information (libc)
install -m 755 %{SOURCE10} %{_optdir}/libc/build
install -m 644 libc.map %{_optdir}/libc/libc.map
install -m 644 shlib.lds %{_optdir}/libc/libc.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libc/abi-note.o
install -m 644 elf/soinit.os %{_optdir}/libc/soinit.o
install -m 644 elf/sofini.os %{_optdir}/libc/sofini.o
install -m 644 elf/interp.os %{_optdir}/libc/interp.o
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/libc_pic.a)
(cd %{_optdir}/libc; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/libc.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libc-"%{version}".so" > %{_optdir}/libc/path)

## Install Library Optimizer information (libcrypt)
install -m 755 %{SOURCE11} %{_optdir}/libcrypt/build
install -m 644 libcrypt.map %{_optdir}/libcrypt/libcrypt.map
install -m 644 shlib.lds %{_optdir}/libcrypt/libcrypt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libcrypt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libcrypt/interp.o
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/crypt/libcrypt_pic.a)
(cd %{_optdir}/libcrypt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/crypt/libcrypt.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libcrypt-"%{version}".so" > %{_optdir}/libcrypt/path)

## Install Library Optimizer information (libdl)
install -m 755 %{SOURCE12} %{_optdir}/libdl/build
install -m 644 libdl.map %{_optdir}/libdl/libdl.map
install -m 644 shlib.lds %{_optdir}/libdl/libdl.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libdl/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libdl/interp.o
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/dlfcn/libdl_pic.a)
(cd %{_optdir}/libdl; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/dlfcn/libdl.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libdl-"%{version}".so" > %{_optdir}/libdl/path)

## Install Library Optimizer information (libm)
install -m 755 %{SOURCE13} %{_optdir}/libm/build
install -m 644 libm.map %{_optdir}/libm/libm.map
install -m 644 shlib.lds %{_optdir}/libm/libm.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libm/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libm/interp.o
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/math/libm_pic.a)
(cd %{_optdir}/libm; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/math/libm.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libm-"%{version}".so" > %{_optdir}/libm/path)

## Install Library Optimizer information (libpthread)
install -m 755 %{SOURCE14} %{_optdir}/libpthread/build
install -m 644 libpthread.map %{_optdir}/libpthread/libpthread.map
install -m 644 shlib.lds %{_optdir}/libpthread/libpthread.so.lds
install -m 644 csu/abi-note.o %{_optdir}/libpthread/abi-note.o
install -m 644 elf/interp.os %{_optdir}/libpthread/interp.o
install -m 644 nptl/crti.o %{_optdir}/libpthread/crti.o
install -m 644 nptl/crtn.o %{_optdir}/libpthread/crtn.o
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/nptl/libpthread_pic.a)
(cd %{_optdir}/libpthread; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/nptl/libpthread.so -r *.o -o *.os > index)
(umask 022; echo "/lib/libpthread-"%{version}".so" > %{_optdir}/libpthread/path)

## Install Library Optimizer information (librt)
install -m 755 %{SOURCE15} %{_optdir}/librt/build
install -m 644 librt.map %{_optdir}/librt/librt.map
install -m 644 shlib.lds %{_optdir}/librt/librt.so.lds
install -m 644 csu/abi-note.o %{_optdir}/librt/abi-note.o
install -m 644 elf/interp.os %{_optdir}/librt/interp.o
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}ar x $OBJECTDIR/rt/librt_pic.a)
(cd %{_optdir}/librt; umask 022; %{sony_target_toolprefix}libindex $OBJECTDIR/rt/librt.so -r *.o -o *.os > index)
(umask 022; echo "/lib/librt-"%{version}".so" > %{_optdir}/librt/path)

# temporary work around for gcc system header dir
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}
ln -s ..%{sony_target_dev_include_dir}\
	 %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)

%{sony_target_dir}

%changelog
* Mon Dec 03 2018 Sony Corporation
- Added CVE-2018-1000001 patch

* Fri Nov 30 2018 Sony Corporation
- Added CVE-2016-2856, CVE-2016-4429,CVE-2017-12133, CVE-2017-15670
  and CVE-2017-15804 patches

* Wed Nov 22 2018 Sony Corporation
- Initial build for CE Linux 8.2.6.X

* Tue Mar 02 2016 Sony Corporation
- Added CVE-2015-8776, CVE-2015-8778,CVE-2015-8779, CVE-2014-9761,
  CVE-2015-7547 and depended patches

* Mon Dec 28 2015 Sony Corporation
- Added CVE-2011-5320, CVE-2013-7424, CVE-2014-8121,
  CVE-2015-1472, CVE-2015-1473

* Tue Jun 09 2015 Sony Corporation
- Added CVE-2012-4424 along with CVE-2012-4412, CVE-2013-7423  
  and CVE-2015-1781

* Tue Feb 17 2015 Sony Corporation
- Added CVE-2014-7817, CVE-2014-9402 
  and CVE-2015-0235 fix patches

* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Tue Oct 11 2011 Sony Corporation
- kernel verion is changed to 3.0.4

* Mon Oct 03 2011 Sony Corporation
- -funwind-tables option is removed.

* Thu Sep 08 2011 Sony Corporation
- CVE-2011-0536, CVE-2011-1071 and CVE-2011-1095 security fix patches are added.

* Tue Sep 06 2011 Sony Corporation
- Patch to mark _clone() as .cantunwind
- -fno-omit-framepointer option is removed from CFLAGS. 

* Tue Aug 23 2011 Sony Corporation
- Patch to create ARM unwind records for system call stubs 

* Thu Jun 02 2011 Sony Corporation
- In sony target dev configuration 
- kernel verion is changed to 2.6.35

* Wed Jun 01 2011 Sony Corporation
- Patch to fix gprof Segmentation Fault for Thumb2
- in lib_do_syscall routine.

* Fri Mar 31 2011 Sony Corporation
- PR12454 patch is added.

* Fri Mar 11 2011 Sony Corporation
- Glibc information tables patches as on 2011-02-17

* Fri Mar 11 2011 Sony Corporation
- Add cfi statements to gprof patch

* Thu Mar 10 2011 Sony Corporation
- Thumb2 stabilization patches are added.
- -funwind-tables option is added by default for ARM.
- glibc-ports-2.11-mcount_gprof_fix.patch is removed temporary
  because of dependency.

* Thu Mar 10 2011 Sony Corporation
- CE-6.X glibc patch merging.

* Tue Dec 28 2010 Sony Corporation
- Patch to fix gprof Segmentation Fault

* Tue Nov 23 2010 Sony Corporation
- Multi-dialect support for LOT build scripts

* Wed Aug 25 2010 Sony Corporation
- Initial Build
